<?php

namespace App\Repository;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use App\Entity\Sale;

class SaleRepository extends ServiceEntityRepository {

	public function __construct(ManagerRegistry $registry) {
		parent::__construct($registry, Sale::class);
	}

	public function getSeries() {
		$result = $this->getEntityManager()->getConnection()
			->prepare("select date_trunc('month', date) as date, cast(avg(value / surface) as int) as value from sale s where surface != 0 group by date_trunc('month', date)")
			->executeQuery();
		return $result->fetchAllAssociative();
	}
}